Subject: Re: linux-next: build failure after merge of the moduleh tree

From: Paul Gortmaker <[email-masked]>
Date: Sun, 31 Jul 2011 03:44:55 -0400

[linux-next: build failure after merge of the moduleh tree] On 29/07/2011 (Fri 17:06) Stephen Rothwell wrote:

> Hi Paul,
> 
> After merging the moduleh tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/mmc/host/sdhci-of-esdhc.c:110:1: warning: type defaults to 'int' in declaration of 'MODULE_DEVICE_TABLE'
[...]
> drivers/mmc/host/sdhci-of-hlwd.c:82:1: warning: type defaults to 'int' in declaration of 'MODULE_DEVICE_TABLE'
[...]
> drivers/power/max8997_charger.c:205:1: warning: type defaults to 'int' in declaration of 'MODULE_AUTHOR'
[...]
> drivers/regulator/aat2870-regulator.c:231:1: warning: type defaults to 'int' in declaration of 'MODULE_LICENSE'
[...]

> I have just left these in fixed for now.  Please let me know if some of
> them can't be fixed in your tree and I will spin fixes for them in
> linux-next.

The mmc ones I can fix; the power/regulator ones are not in master yet.
But since they need module.h, the fix can be applied by their respective
tree owner as well (vs. ones needing export.h -- which presents a minor
chicken-and-egg problem).

Thanks,
Paul.

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/